Subject: [sidr] Alexey Melnikov's Yes on draft-ietf-sidr-bgpsec-protocol-21: (with COMMENT)

From: "Alexey Melnikov" <[email-masked]>
Date: Wed, 04 Jan 2017 01:57:32 -0800

Alexey Melnikov has entered the following ballot position for
draft-ietf-sidr-bgpsec-protocol-21: Yes

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-sidr-bgpsec-protocol/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

+1 to the comment from Suresh about order. I though that something like
what he proposed will minimize memcopies and possibly use of memory why
hashing. So I am also curious to know answer to his question.

Otherwise the document is very well written and it was a pleasure to
read!

---

From: Randy Bush <[email-masked]>
Date: Wed, 04 Jan 2017 19:09:35 +0900

> hashing. So I am also curious to know answer to his question.

a vendor engineer actually implementing requested the change to the
current syntax for ease of generating/parsing.

randy

---

From: Sean Turner <[email-masked]>
Date: Wed, 4 Jan 2017 09:38:16 -0500

> On Jan 4, 2017, at 05:09, Randy Bush <[email-masked]> wrote:
> 

I believe this is that thread that resulted in the final organization:

https://mailarchive.ietf.org/arch/msg/sidr/8B_e4CNxQCUKeZ_AUzsdnn2f5MU

spt

---

From: Suresh Krishnan <[email-masked]>
Date: Thu, 5 Jan 2017 03:19:59 +0000

> https://mailarchive.ietf.org/arch/msg/sidr/8B_e4CNxQCUKeZ_AUzsdnn2f5MU

Thanks for the pointer Sean. Very interesting.

Regards
Suresh

---

From: Alexey Melnikov <[email-masked]>
Date: Thu, 5 Jan 2017 09:57:06 +0000

> On 5 Jan 2017, at 03:19, Suresh Krishnan <[email-masked]> wrote:
> 

Indeed! I wish a few words about design could be added to the draft.

---

From: "Sriram, Kotikalapudi (Fed)" <[email-masked]>
Date: Wed, 11 Jan 2017 20:17:29 +0000

Hi Alexey,

My comment in line below.

>From: Alexey Melnikov [mailto:[email-masked]] 
>Sent: Thursday, January 05, 2017 4:57 AM)
> 
> >>>> +1 to the comment from Suresh about order. I though that something 
> >>>> +like
> >>>> what he proposed will minimize memcopies and possibly use of memory 
> >>>> why hashing. So I am also curious to know answer to his question.
> >>> 

The design explanation would be a bit long as you can see from 
Oliver's (implementer's) post.
There is a BGPsec design discussion document (to be published
as an independent submission RFC):

https://tools.ietf.org/html/draft-sriram-bgpsec-design-choices-11  

I think that would be better place to include this design rationale as well.

Sriram

---

From: Alexey Melnikov <[email-masked]>
Date: Wed, 11 Jan 2017 22:34:48 +0000

Hi Sriram,

> On 11 Jan 2017, at 20:17, Sriram, Kotikalapudi (Fed) <[email-masked]> wrote:
> 
> Hi Alexey,
> 

Works for me.

---

From: Suresh Krishnan <[email-masked]>
Date: Thu, 12 Jan 2017 03:53:59 +0000

On Jan 11, 2017, at 5:34 PM, Alexey Melnikov <[email-masked]<mailto:[email-masked]>> wrote:

Hi Sriram,

On 11 Jan 2017, at 20:17, Sriram, Kotikalapudi (Fed) <[email-masked]<mailto:[email-masked]>> wrote:

Hi Alexey,

On 5 Jan 2017, at 03:19, Suresh Krishnan <[email-masked]<mailto:[email-masked]>> wrote:

On Jan 4, 2017, at 05:09, Randy Bush <[email-masked]<mailto:[email-masked]>> wrote:

randy

https://mailarchive.ietf.org/arch/msg/sidr/8B_e4CNxQCUKeZ_AUzsdnn2f5M
U

Works for me.

FWIW, Works for me as well.

Regards
Suresh

---

From: "Sriram, Kotikalapudi (Fed)" <[email-masked]>
Date: Thu, 12 Jan 2017 04:17:07 +0000

Hi Suresh,

Thank you for this suggestion as well:

>* Section 2.1

>The IANA registry at

>http://www.iana.org/assignments/address-family-numbers/address-family-numbers.xhtml

>may be a better reference for AFIs than RFC4760.

It has been incorporated in my editor copy of version 22 (to be uploaded in a couple of days).

Sriram 

________________________________________
From: Suresh Krishnan <[email-masked]>
Sent: Wednesday, January 11, 2017 10:53 PM
To: Alexey Melnikov
Cc: Sriram, Kotikalapudi (Fed); sidr wg list; Sean Turner; sidr chairs; [email-masked]; The IESG; [email-masked]
Subject: Re: [sidr] Alexey Melnikov's Yes on draft-ietf-sidr-bgpsec-protocol-21: (with COMMENT)

Hi Sriram,

Hi Alexey,

randy

Works for me.

Regards
Suresh